{% macro checkBox(id = 'method') %}
    <div id="{{ id|replace({' ':''}) }}" class="row">

    </div>
{% endmacro %}

{% macro checkBoxJS(url,id = 'method') %}
    <script>
        $.get('{{ path(url) }}', function (data) {
            if (data['code'] === 200) {
                var name
                ''
                $.each(data['payload'], function (key, value) {
                    name = value['name'];
                    if (name === 'PRO') {
                        name = 'Profesional'
                    } else if (name === 'BASIC') {
                        name = 'Basic'
                    }
                    $('#{{ id|replace({' ':''}) }}').append('<div class="col-md-6">\n' +
                        '                                        <div class="form-check">\n' +
                        '                                            <input class="classid" name="id{{ id | replace({' ':''}) }}[]" id="id{{ id | replace({' ':''}) }}' + key + '" hidden >' +
                        '                                            <input class="classid" name="name{{ id | replace({' ':''}) }}[]" value="' + value['id'] + '" hidden >' +
                        '                                            <input class="" type="hidden" value="null" id="{{ id | replace({' ':''}) }}' + name.split(' ').join('') + 'hidden" name="{{ id|replace({' ':''}) }}[]">\n' +
                        '                                            <input class="form-check-input checktext" type="checkbox" value="' + value['id'] + '" id="{{ id | replace({' ':''}) }}' + name.split(' ').join('') + '" name="{{ id|replace({' ':''}) }}[]">\n' +
                        '                                            <label class="form-check-label" for="{{ id | replace({' ':''}) }}' + name.split(' ').join('') + '">\n' +
                        '                                                ' + name + '\n' +
                        '                                            </label>\n' +
                        '                                        </div>\n' +
                        '                                    </div>')
                });

                $('.checktext').click(function (ev) {
                        if ($(this).prop("checked") === true) {
                            $('#'+ev.currentTarget.getAttribute('id')+'hidden').attr('disabled','');

                        }else if ($(this).prop("checked") === false){
                            $('#'+ev.currentTarget.getAttribute('id')+'hidden').removeAttr('disabled');

                        }
                    }
                );

                {#if (document.getElementById("{{ id | replace({' ':''}) }}" + name.split(' ').join('')).checked) {#}
                {#    document.getElementById("{{ id | replace({' ':''}) }}" + name.split(' ').join('') + "hidden").disabled = true;#}
                {#} else {#}
                {#    document.getElementById("{{ id | replace({' ':''}) }}" + name.split(' ').join('') + "hidden").disabled = false;#}
                {#}#}

            }
        })
    </script>
{% endmacro %}